# CDR: Call Detail Records

Subsections

- Applications
- CDR Fields
- Variables
- Storage Backends
  - Microsoft SQL Server
    - ODBC using cdr_odbc
    - TDS, using cdr_tds
  - MySQL
  - PostgreSQL
  - SQLite 2
  - SQLite 3
  - RADIUS
    - What is needed
    - Installation of the Radiusclient library
    - Configuration of the Radiusclient library
    - Install FreeRADIUS Server (Version 1.1.1)
    - Configuration of the FreeRADIUS Server
    - Asterisk Accounting Configuration
    - Logged Values